package com.sy.trustypay.util;

import org.apache.http.client.HttpClient;

/**
 * 常量
 *
 * @author longshiwei
 * @date 2021/12/13 14:35
 **/
public class TrustyPayConstants {

    public enum SignType {
        MD5, HMACSHA256
    }


    public static final String FAIL = "FAIL";

    public static final String SUCCESS = "SUCCESS";
    public static final String HMACSHA256 = "HMACSHA256";
    public static final String MD5 = "MD5";

    public static final String FIELD_APPID = "app_id";

    public static final String FIELD_MCHNT_ID  = "mchnt_id";
    public static final String FIELD_SIGN = "sign";
    public static final String FIELD_SIGN_TYPE = "sign_type";

    public static final String FIELD_NONCE_STR ="nonce_str";

    public static final String FIELD_RETURN_CODE = "return_code";

    public static final String WXPAYSDK_VERSION = "TrustyPaySDK/1.0.0";

    public static final String USER_AGENT = WXPAYSDK_VERSION +
            " (" + System.getProperty("os.arch") + " " + System.getProperty("os.name") + " " + System.getProperty("os.version") +
            ") Java/" + System.getProperty("java.version") + " HttpClient/" + HttpClient.class.getPackage().getImplementationVersion();


    public static final String PAY_CHANNELS = "/openapi/trusty/channels";
    public static final String MICROPAY_URL_SUFFIX = "/openapi/v1/trusty/pay";
    public static final String UNIFIEDORDER_URL_SUFFIX = "/openapi/v1/trusty/unifiedorder";
    public static final String ORDERQUERY_URL_SUFFIX = "/openapi/v1/trusty/query";
    public static final String REFUND_URL_SUFFIX = "/openapi/v1/trusty/refund";
    public static final String BILLS_URL_SUFFIX = "/openapi/v1/trusty/bills";
    public static final String SETTLEMENT_URL_SUFFIX = "/openapi/v1/trusty/settlement";

    public static final String CHECK_ACCOUNT_URL_SUFFIX = "/openapi/v1/trusty/checkAccount";
}
